Skip to main content
GET
Typescript (SDK)

Authorizations

Authorization
string
header
required

Send Authorization: Bearer , using an MKA1 API key for automation or an OAuth API access token for a signed-in application. Use a dynamic security callback to refresh OAuth access tokens. Browser session-only operations still require their declared cookie.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Path Parameters

agent_id
string
required
schedule_id
string
required

Response

Schedule found.

object
enum<string>
required
Available options:
agent.schedule
id
string
required
agent_id
string
required
name
string | null
required
status
enum<string>
required
Available options:
active,
paused,
completed,
deleted
schedule
object
required
input
any
required

Arbitrary JSON value.

conversation
any | null
required

Arbitrary JSON value.

previous_response_id
string | null
required
context_management
object[] | null
required
metadata
object | null
required
temporal_schedule_id
string | null
required
last_run_at
string<date-time> | null
required
last_run_id
string | null
required
run_count
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
deleted_at
string<date-time> | null
required